org.optaplanner.core.config.constructionheuristic.placer

## Class EntityPlacerConfig<C extends EntityPlacerConfig>

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig<C>

- Direct Known Subclasses:
    PooledEntityPlacerConfig, QueuedEntityPlacerConfig, QueuedValuePlacerConfig

      public abstract class EntityPlacerConfig<C extends EntityPlacerConfig>
      extends AbstractConfig<C>

  General superclass for `QueuedEntityPlacerConfig` and `PooledEntityPlacerConfig`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityPlacerConfig()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract EntityPlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy)`
    `void` | `inherit(C inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityPlacerConfig

          public EntityPlacerConfig()

  - ### Method Detail

    - #### buildEntityPlacer

          public abstract EntityPlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy)

    - #### inherit

          public void inherit(C inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<C extends EntityPlacerConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.